package screenpager::Config_1;

use strict; use warnings;
=pod

=head1 DESCRIPTION

System configuration file for screenpager.
Screenpager looks for this file at /etc/xdg/screenpager/Config.pm

=cut


    # Validity of configuration. The default of 0 disables screenpager.
    # Set to 1 when the configuration in the remainder of this file is correct.
    #
    my $valid = 0;



    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    # The screen that your system considers primary. If your on-screen display
    # appears on the wrong screen, then adjust this value, as follows.
    #
    #    1. Set $primary_screen below to zero.
    #
    #    2. Save this configuration file.
    #
    #    3. Run the following:
    #
    #       screenpager --screen=0 display on
    #
    #    4. Whatever screen the display appears on, that is your primary screen.
    #       Screens are numbered left to right: 0, 1, 2, ...
    #       Set $primary_screen below to the correct number.
    #
    our $primary_screen = 0;



    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    # Screen dimensions and layout. Add or remove entries
    # to match the number of screens in use. West (left-most) screen is listed first.
    # For each entry, ensure width and height match the actual screen dimensions,
    # in pixels.
    #
    our @screen =
    (
        {
            width => 1024, # pixels
            height => 768,
        },
        {
            width => 1280,
            height => 1024,
        },
        {
            width => 1280,
            height => 1024,
        },
        {
            width => 1024,
            height => 768,
        },
        {
            width => 1280,
            height => 1024,
        },
    );



    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    # Screenpager's swap desktop, used for holding swapped-out windows.
    # Create a new virtual desktop for this purpose using your window manager,
    # and record its number here. Desktops are numbered from zero.
    #
    our $swap_desktop = 2;



##### I m p l e m e n t a t i o n ########################################################


    $valid or die 'screenpager: invalid configuration in ' . __FILE__ . "\n";



1;
